.\" Copyright (c) 1990 Carnegie Mellon University
.\" All Rights Reserved.
.\" 
.\" Permission to use, copy, modify and distribute this software and its
.\" documentation is hereby granted, provided that both the copyright
.\" notice and this permission notice appear in all copies of the
.\" software, derivative works or modified versions, and any portions
.\" thereof, and that both notices appear in supporting documentation.
.\"
.\" THE SOFTWARE IS PROVIDED "AS IS" AND CARNEGIE MELLON UNIVERSITY
.\" DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL
.\" IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS.  IN NO EVENT
.\" SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE FOR ANY SPECIAL, DIRECT,
.\" INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER
.\" RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF
.\" CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
.\" CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
.\"
.\" Users of this software agree to return to Carnegie Mellon any
.\" improvements or extensions that they make and grant Carnegie the
.\" rights to redistribute these changes.
.\"
.\" Export of this software is permitted only after complying with the
.\" regulations of the U.S. Deptartment of Commerce relating to the
.\" Export of Technical Data.
.\"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
.\" Revision 1.2  90/12/12  15:50:44  mja
.TH GETDOUBLE 3 10/23/82
.CM 3
.SH "NAME"
getdouble, getfloat \- ask user to type floating-point value
.SH "SYNOPSIS"
.B
#include <ctype.h>
.br
.B
#include <math.h>
.br
.B
#include <stdio.h>
.sp
.B
double getdouble (prompt,min,max,defalt);
.br
.B
char *prompt;
.br
.B
double min,max,defalt;
.sp
.B
float getfloat (prompt,min,max,defalt);
.br
.B
char *prompt;
.br
.B
float min,max,defalt;
.SH "DESCRIPTION"
.I
Getdouble
and
.I
getfloat
ask the user to type a floating-point number.
They begin
by printing the string
.I
prompt
as a message to the user.
The user then types in a floating-point
number which is parsed.
If the number is valid and is within
the range
.I
min
to
.I
max,
inclusive, then the value is returned as the value of
.I
getdouble
or
.I
getfloat.
If the value is invalid or out of range, then an error message is
printed and the cycle is repeated.
If the user types just a carriage
return, then the value
.I
defalt
is returned.
.sp
.I
Getdouble
and
.I
getfloat
are identical, except for the type of the parameters and the results.
.SH "SEE ALSO"
.IR getint (3), 
.IR getbool (3), 
etc.
.br
.IR doublearg( 3), 
.IR floatarg (3)
